#!/bin/bash

LATESTCUS=`ls -t *.def |head -1`

# find names in CUS files
getnames () {
   grep -E -h "^${1} | ${1} " "$LATESTCUS" |sed -e '/\/\/.*'"${1}"'/d' \
   	-e '/".*'"${1}"'/d' -e 's/^.*'"${1}"'  *//' -e 's/ .*$//'
   }

# go through all possible definitions
pnames="procedure block obs mode"
# pnames="obs"
modenames=`for i in ${pnames}; do getnames ${i} |sort; done`

# remove definitions which have to give an error
modenames=`echo ${modenames} | sed -e 's/.Error//g' -e 's/[^ ]*_commanding//g' -e 's/ HIFI / /'`

# now run CUS
# for i in ${modenames}; do echo  $i; done
for i in ${modenames}; do cus -defdur $i; done 2>&1 |grep -E -v 'M herschel\.|^INFO:|Cannot find XML definitions| INFO |^Using.*file:'
